# Generated by Django 3.1 on 2020-08-31 10:26

from django.db import migrations, models
import django.utils.timezone
import temperature.models


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="TemperatureRecord",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("timestamp", models.DateTimeField(default=django.utils.timezone.now)),
                (
                    "value",
                    models.IntegerField(
                        default=temperature.models.get_random_temperature_value
                    ),
                ),
            ],
        ),
    ]
